
<nav title="{{ _('Boards') }}" class="menu-padding">

   <h3>
        {{ _('Boards') }}
        <a href="{{ url('boards:board-create') }}" class="add-button" title="{{_('New board')}}"><i class="fa fa-plus-square fa-lg"></i></a>
    </h3>
    <ul class="board-list">
        {% for board in user_boards %}
        <li class="{{ board.slug }}" id="{{ board.slug }}-link">
            <a href="{{ url('boards:conversation-list', board_slug=board.slug) }}">{{board.title}}</a>
            <p>{{board.conversations.count()}}</p>
        </li>
        {% endfor %}
    </ul>
    {% if request.user.is_superuser %}
        <h3 class="section-margin">
            {{_("Manage")}}
        </h3>
        <ul class="board-list">
            <li><a href="{{ url('administration:index')}}">{{ _("EJ Environment") }}</a></li>
        </ul>
    {% endif %}
</nav>

{{ page_menu.ACCESSIBILITY() }}
<li id="tutorial"><a><i class="fa fa-compass" aria-hidden="true"></i>Tutorial</a></li>

<script>
    let url = window.location.href.split("/");
    let selectedBoard = url[url.length-3].replace(":","");
    let backgroundColor = document.querySelector("." + selectedBoard);

    if (backgroundColor) {
        backgroundColor.className = "selected-board";
        document.getElementById(selectedBoard + "-link").click();
    }

    const verifySlug = () =>{
        const rmSufix = window.location.href.split("/conversations/")[0]
        const containsBoard = rmSufix.split("/").length > 3
        if (containsBoard){
            return `${rmSufix}/conversations/tour/`
        }
        return `${rmSufix}/{{user_boards[0].slug}}/conversations/tour/`

    }


    const reqTutorial = () => {
        const csrftoken = document.querySelector('[name=csrfmiddlewaretoken]').value;
        
        el = document.getElementById("tutorial")

        for (const a of document.querySelectorAll("li")) {
            if (a.textContent.includes("Tamanho da fonte")) {
                a.insertAdjacentElement('afterend', el)
            }
        }
        
        const tourUrl = verifySlug()
        console.log(tourUrl)
        el.addEventListener("click", function (e) {
            $(function(){ 
                const request = new Request(
                    `${tourUrl}`,
                    {
                        method: 'POST',
                        headers: {'X-CSRFToken': csrftoken},
                        mode: 'same-origin'
                    }
                );
                fetch(request).then((response) => {
                    window.location.href = tourUrl
                });
            })


        })
    }

    window.addEventListener("load", reqTutorial);

</script>